classification
Title: timeout with exit code 0 while re-running failed tests
Type: behavior Stage: needs patch
Components: Tests Versions: Python 3.5, Python 3.4
process
Status: pending Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: flox
Priority: low Keywords: buildbot

Created on 2011-11-08 09:57 by flox, last changed 2018-12-12 16:12 by serhiy.storchaka.

Messages (2)
msg147280 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2011-11-08 09:57
Seen on Windows 7 builder.

http://www.python.org/dev/buildbot/all/builders/x86%20Windows7%203.x/builds/3949

This build is considered <green> by buildbot.
Actually, the exit code should not be 0.


(...)
[360/360/4] test_descr
324 tests OK.
4 tests failed:
    test_distutils test_logging test_packaging test_pep277
6 tests altered the execution environment:
    test_multiprocessing test_site test_ssl test_subprocess
    test_sysconfig test_tcl
26 tests skipped:
    test_crypt test_curses test_dbm_gnu test_dbm_ndbm test_epoll
    test_fcntl test_fork1 test_gdb test_grp test_ioctl test_kqueue
    test_nis test_openpty test_ossaudiodev test_pipes test_poll
    test_posix test_pty test_pwd test_readline test_resource
    test_syslog test_threadsignals test_wait3 test_wait4
    test_zipfile64
2 skips unexpected on win32:
    test_gdb test_readline
Re-running failed tests in verbose mode
(...)
test_additional_fixers (packaging.tests.test_mixin2to3.Mixin2to3TestCase) ... ok
test_convert_code_only (packaging.tests.test_mixin2to3.Mixin2to3TestCase) ... program finished with exit code 0
elapsedTime=7325.264000
msg221565 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-25 17:57
Can this be reproduced, has it been fixed already, what?
History
Date User Action Args
2018-12-12 16:12:53serhiy.storchakasetstatus: open -> pending
2018-12-12 16:08:34BreamoreBoysetstatus: pending -> open
nosy: - BreamoreBoy
2018-12-12 08:53:30serhiy.storchakasetstatus: open -> pending
2014-06-25 17:57:13BreamoreBoysetnosy: + BreamoreBoy

messages: + msg221565
versions: + Python 3.4, Python 3.5, - Python 3.3
2011-11-08 09:57:56floxcreate